## posterazor 1.5.1

=== src/CMakeLists.txt ===
PROJECT(PosteRazor)

IF (WIN32 OR APPLE)
	SET(POSTERAZOR_ENABLEGLPREVIEW TRUE)
	SET(POSTERAZOR_ENABLELAUNCHURLSORFILES TRUE)
ENDIF (WIN32 OR APPLE)

IF (MSVC)
	SET(POSTERAZOR_WIN32STATICRUNTIMES TRUE)
	SET(POSTERAZOR_DEFINITIONS
		${POSTERAZOR_DEFINITIONS}
		-D_CRT_SECURE_NO_WARNINGS
	)
ENDIF (MSVC)

SET(POSTERAZOR_CORESOURCES
	ImageIOTypes.cpp
	PosteRazor.cpp
	PosteRazorImageIO.cpp
	PosteRazorPDFOutput.cpp
	UnitsOfLength.cpp
	PaperFormats.cpp
	PaintCanvasBase.cpp
)

SET(POSTERAZOR_UISOURCES
	Translations.cpp
	FlPaintCanvasGroup.cpp
	FlDrawPaintCanvas.cpp
	FlPersistentPreferences.cpp
	FlImageTextButton.cpp
	FlPosteRazorSpinner.cpp
	PosteRazorDialogController.cpp
	PosteRazorWizardDialogController.cpp
	FlPosteRazorDialog.cpp
	FlPosteRazorHelpDialog.cpp
	FlPosteRazorSettingsDialog.cpp
	FlPosteRazorDialogUI.cpp
	thirdparty/Fl_Native_File_Chooser/Fl_Native_File_Chooser.cxx
)

SET(POSTERAZOR_INCLUDEDIRECTORIES
	thirdparty/Fl_Native_File_Chooser
)

IF (POSTERAZOR_ENABLEGLPREVIEW)
	SET(POSTERAZOR_UISOURCES
		${POSTERAZOR_UISOURCES}
		FlGlPaintCanvas.cpp
	)
ENDIF (POSTERAZOR_ENABLEGLPREVIEW)

SET(POSTERAZOR_SOURCES
	${POSTERAZOR_CORESOURCES}
	${POSTERAZOR_UISOURCES}
)

SET(POSTERAZOR_DEFINITIONS
	${POSTERAZOR_DEFINITIONS}
	-DFREEIMAGE_LIB
)

IF (NOT POSTERAZOR_ENABLEGLPREVIEW)
	SET(POSTERAZOR_DEFINITIONS
		${POSTERAZOR_DEFINITIONS}
		-DNO_OPENGL_PREVIEW
	)
ENDIF (NOT POSTERAZOR_ENABLEGLPREVIEW)

IF (NOT POSTERAZOR_ENABLELAUNCHURLSORFILES)
	SET(POSTERAZOR_DEFINITIONS
		${POSTERAZOR_DEFINITIONS}
		-DNO_LAUNCH_URLS_OR_FILES
	)
ENDIF (NOT POSTERAZOR_ENABLELAUNCHURLSORFILES)

IF (WIN32)
	SET(POSTERAZOR_EXECUTABLE WIN32 ${POSTERAZOR_SOURCES} PosteRazorUI.rc)
	SET(POSTERAZOR_INCLUDEDIRECTORIES ${POSTERAZOR_INCLUDEDIRECTORIES}
		thirdparty/FreeImage/Dist
		thirdparty/fltk-1.1
	)
	SET(POSTERAZOR_LINKDIRECTORIES
		thirdparty/FreeImage/Dist
		thirdparty/fltk-1.1/lib
	)
	SET(POSTERAZOR_LINKLIBRARIES
		debug FreeImaged
		optimized FreeImage
		debug fltkd
		optimized fltk
		wsock32
		comctl32
	)
	IF (POSTERAZOR_ENABLEGLPREVIEW)
		SET(POSTERAZOR_LINKLIBRARIES
			${POSTERAZOR_LINKLIBRARIES}
			debug fltkgld
			optimized fltkgl
			glu32
			opengl32
		)
	ENDIF (POSTERAZOR_ENABLEGLPREVIEW)
	IF (POSTERAZOR_WIN32STATICRUNTIMES)
		SET(POSTERAZOR_LINKLIBRARIES
			${POSTERAZOR_LINKLIBRARIES}
			debug libcmtd
			optimized libcmt
		)
		SET(CMAKE_CXX_FLAGS_DEBUG "/D_DEBUG /RTCs /MTd /Zi /Od")
		SET(CMAKE_CXX_FLAGS_RELEASE "/MT /O2 /Ob2 /D NDEBUG")
		SET(POSTERAZOR_TARGET_PROPERTIES PROPERTIES LINK_FLAGS_DEBUG "/DEBUG")
	ELSE (POSTERAZOR_WIN32STATICRUNTIMES)
		SET(POSTERAZOR_TARGET_PROPERTIES PROPERTIES
			LINK_FLAGS_DEBUG "/nodefaultlib:LIBCMTD"
			LINK_FLAGS_RELEASE "/nodefaultlib:LIBCMT"
		)
	ENDIF (POSTERAZOR_WIN32STATICRUNTIMES)
ENDIF (WIN32)

IF (APPLE)
	SET(POSTERAZOR_EXECUTABLE MACOSX_BUNDLE ${POSTERAZOR_SOURCES})
	SET(POSTERAZOR_LINKLIBRARIES
		fltk
		fltk_gl
		freeimage
		"-framework Carbon -framework AGL -framework ApplicationServices -framework OpenGL -lz"
	)
ENDIF(APPLE)

IF (UNIX AND NOT APPLE)
	SET(POSTERAZOR_EXECUTABLE ${POSTERAZOR_SOURCES})
	SET(POSTERAZOR_LINKLIBRARIES
		fltk
		fltk_images
		freeimage
		X11
		Xpm
#		Xft
#		Xinerama
	)
	IF (POSTERAZOR_ENABLEGLPREVIEW)
		SET(POSTERAZOR_LINKLIBRARIES
			${POSTERAZOR_LINKLIBRARIES}
			fltk_gl
		)
	ENDIF (POSTERAZOR_ENABLEGLPREVIEW)
ENDIF (UNIX AND NOT APPLE)

LINK_DIRECTORIES(${POSTERAZOR_LINKDIRECTORIES})
ADD_EXECUTABLE(PosteRazor ${POSTERAZOR_EXECUTABLE})
IF (DEFINED POSTERAZOR_TARGET_PROPERTIES)
	SET_TARGET_PROPERTIES(PosteRazor ${POSTERAZOR_TARGET_PROPERTIES})
ENDIF (DEFINED POSTERAZOR_TARGET_PROPERTIES)
ADD_DEFINITIONS(${POSTERAZOR_DEFINITIONS})
INCLUDE_DIRECTORIES(${POSTERAZOR_INCLUDEDIRECTORIES})
TARGET_LINK_LIBRARIES(PosteRazor ${POSTERAZOR_LINKLIBRARIES})

IF (APPLE)
	GET_TARGET_PROPERTY(MACOSX_BUNDLE_LOCATION PosteRazor LOCATION)
	SET(MACOSX_CONTENTS_PATH ${MACOSX_BUNDLE_LOCATION}.app/Contents)
	SET(MACOSX_RESOURCES_PATH ${MACOSX_CONTENTS_PATH}/Resources)
	ADD_CUSTOM_COMMAND(TARGET PosteRazor POST_BUILD
		COMMAND mkdir ARGS -p ${MACOSX_RESOURCES_PATH}
		COMMAND cp ARGS PosteRazor.icns ${MACOSX_RESOURCES_PATH}
		COMMAND cp ARGS Info.plist ${MACOSX_CONTENTS_PATH}
		COMMAND strip ARGS ${MACOSX_CONTENTS_PATH}/MacOS/PosteRazor
		)
	FOREACH(language English German French Italian Dutch Spanish BrazilianPortuguese)
		ADD_CUSTOM_COMMAND(TARGET PosteRazor POST_BUILD
			COMMAND mkdir ARGS -p ${MACOSX_RESOURCES_PATH}/${language}.lproj)
	ENDFOREACH(language)
ENDIF(APPLE)

=== debian/changelog ===
posterazor (1.5.1-10build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:20:39 +1100

posterazor (1.5.1-10build1) noble; urgency=high

  * No change rebuild against libfltk1.3t64, libfltk-images1.3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:49:30 +0100

posterazor (1.5.1-10) unstable; urgency=medium

  * Uploaded to unstable.

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Sun, 21 Feb 2021 16:07:14 -0300

posterazor (1.5.1-9) experimental; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.5.1.
      - Migrated libfltk1.1-dev to libfltk1.3-dev in Build-Depends field.
        (Closes: #974630)
  * debian/copyright: updated packaging copyright years.

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Sun, 24 Jan 2021 12:25:34 -0300

posterazor (1.5.1-8) unstable; urgency=medium

  * Renamed the executable to provide lowercase command. Consequently:
      - Renamed the following files:
          ~ debian/manpage/PosteRazor.1 to debian/manpage/posterazor.1
          ~ debian/manpage/PosteRazor.txt to debian/manpage/posterazor.txt
      - Updated references at following files:
          ~ debian/appstream/io.sourceforge.posterazor.desktop
          ~ debian/lintian-overrides
          ~ debian/manpage/create-man.sh
          ~ debian/manpages
          ~ debian/tests/control
      - debian/links: created to provide backward compatibility with the
        camelcase command.
      - debian/rules: added override_dh_install to rename the binary.
  * debian/manpage/*: updated files to modify the manpage's layout.
  * debian/patches/:
      - 010_ftbfs-werror-format-security.patch:
          ~ Added the 'Bug-Debian' field in header.
          ~ Updated the 'Origin' field.
      - 020_ftbfs-gcc-4.7.patch:
          ~ Added the 'Bug-Debian' field.
          ~ Removed the 'Origin' field from header due the patch is attached
            at the bug's thread.
  * debian/source/lintian-overrides: created to override messages about manpage
    and .desktop files, as requested by lintian.

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Sun, 12 Jul 2020 13:13:49 -0300

posterazor (1.5.1-7) unstable; urgency=medium

  * New maintainer. Thanks to Simrun Basuita for previous work.
    (Closes: #866220)
  * Converted manpage source from docbook to txt2man's system. Consequently:
      - Manpage rewritten from scratch.
      - debian/clean: removed due no longer needed (old) manpage's deletion.
      - debian/control: removed no longer needed docbook* build dependencies.
      - debian/copyright: added copyright to create-man.sh.
      - debian/manpage/*: created files to produce the manpage.
      - debian/manpages: updated to install the new manpage.
      - debian/PosteRazor.1.docbook: removed.
      - debian/rules: removed no longer needed override_dh_installman.
  * Implemented AppStream metainfo XML files format. Consequently:
      - Created debian/appstream/ to group all related files.
      - debian/appstream/icons/: created to provide new PNG icons.
      - debian/appstream/io.sourceforge.posterazor.metainfo.xml: created.
      - debian/copyright: added copyright to the metainfo XML file.
      - debian/install:
          - Added debian/appstream/ files entries.
          - Removed the XPM icon entry to comply with AppStream specs.
      - debian/posterazor.desktop:
          ~ Renamed to io.sourceforge.posterazor.desktop.
          ~ Moved to debian/appstream/.
          ~ Updated the 'Icon' and 'Categories' fields.
      - debian/source/include-binaries: added the new PNG icons entries.
  * debian/control: improved the long description to add more features.
  * debian/patches/:
      - All patches: submitted to upstream and added the 'Forwarded' field to
        their headers.
      - 010_ftbfs-werror-format-security.patch: added 'Author' and 'Last-Update'
        fields in header.
      - 040_add-cmake-minimum-required-command.patch: created to comply with
        CMP0000 CMake's policy.

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Mon, 29 Jun 2020 21:51:48 -0300

posterazor (1.5.1-6) unstable; urgency=medium

  * QA upload.
  * debian/control: updated VCS fields to use Salsa.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Mon, 08 Jun 2020 19:19:04 -0300

posterazor (1.5.1-5) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - debian/copyright:
          ~ Migrated to 1.0 format.
          ~ Updated all data.
      - debian/rules to new (reduced) format. Consequently:
          ~ Added hardening flags.
          ~ Created the following files:
              + debian/install.
              + debian/manpages.
  * debian/clean: added to remove files created by upstream.
  * debian/control:
      - Improved long description to mention some supported file types.
      - Updated the Homepage field.
  * debian/dirs: removed due creation of debian/install.
  * debian/lintian-overrides: added to override false positives about
    spelling errors in foreign translate files.
  * debian/patches/:
      - Added 030_fix-spelling-binary.patch to fix spelling error in English
        translation file.
      - Added a numeric prefix for all patches.
  * debian/posterazor.desktop: added 'Keywords' field.
  * debian/posterazor.menu: removed to comply to debian policy because
    a '.desktop' file already exists.
  * debian/rules:
      - Added DH parameters to fix FTCBFS by passing cross flags to cmake.
        Thanks to Helmut Grohne <helmut@subdivi.de>. (Closes: #888445)
      - Added the override_dh_installman target to build and install manpage.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped to version 4.
      - Changed search rule according the new SourceForge template.

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Thu, 28 May 2020 13:42:02 -0300



=== debian/control ===
Source: posterazor
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marcelo Soares Mota <motasmarcelo@gmail.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libfltk1.3-dev,
               libfreeimage-dev,
               libxpm-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://posterazor.sourceforge.io/
Vcs-Browser: https://salsa.debian.org/debian/posterazor
Vcs-Git: https://salsa.debian.org/debian/posterazor.git

Package: posterazor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: splits an image across multiple pages for assembly into a poster
 The PosteRazor splits an image to form a multi-page PDF document. When
 printed, the sheets can be arranged to form a large poster of the original
 picture. An easy to use (wizard like) user interface guides through 5 simple
 steps.
 .
 It relies upon libfreeimage and libxpm supporting many input file formats
 such as BMP, GIF, ICO, JPG, PNG, TIFF, XPM among others handled by FreeImage
 like DDS, Dr. Halo, IFF, JBIG, JPEG/JIF, KOALA, LBM, Kodak PhotoCD, PCX, PBM,
 PGM, PPM, PhotoShop PSD, Sun RAS, TARGA, WBMP, XBM, etc...
 .
 Also, PosteRazor can handle the following image color types: Monochrome,
 Grayscale, 4 Bit palette, 8 Bit palette, 24 Bit RGB, 48 Bit RGB (only via
 TIFF and PNG), 32 Bit CMYK (only via TIFF). 32 Bit RGBA images can be loaded,
 but are transformed to 24 Bit RGB by "merging" them with a white background.
 .
 It supports dimension units like m, mm, cm, inch, ft, pt(72th inch) and it
 prints the PDF output file in A4, A3, Legal, Letter or Tabloid layout.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src --builddirectory=src/build

override_dh_install:
	dh_install
	mv debian/posterazor/usr/bin/PosteRazor debian/posterazor/usr/bin/posterazor

=== debian/watch ===
version=4
http://sf.net/posterazor/ PosteRazor-(.*)-Source@ARCHIVE_EXT@ debian uupdate
